<%|eat|
	<%(?ad_names)
		<%|define_split("list_ad_subject","|")|%ad_names%>
		<%|define("number_ads")|#@list_ad_subject%>
		<%(%number_ads == 1)
			<%|define("ad_subject")|%ad_names%>
		%>
	%>
	<%|define_split("list_ad_product","|")|%product_ids%>
	<%|define("hide_help_box")|1%><%|define("show_payment_help_box")|1%>
	<%|@loop("list_ad_product")|
		<%(%list_ad_product == 1 || %list_ad_product == 10)<%|define("bump_times")|1%>%>
		<%(%list_ad_product == 2 || %list_ad_product == 101)<%|define("weekly_times")|1%>%>
		<%(%list_ad_product == 3 || %list_ad_product == 102)<%|define("gallery_times")|1%>%>
		<%(%list_ad_product == 8 || %list_ad_product == 103)<%|define("daily_bump_times")|1%>%>
	%>

	<%|define("bump_qty")|&sum_array("bump_times")%>
	<%|define("weekly_qty")|&sum_array("weekly_times")%>
	<%|define("gallery_qty")|&sum_array("gallery_times")%>
	<%|define("daily_bump_qty")|&sum_array("daily_bump_times")%>

	<%|define("applied_to_same_ad")|
		<%(%number_ads == 2 && %list_ad_subject[0] == %list_ad_subject[1])1::0%>
	%>

	<%/* More than one product */%>
	<%(%gallery_qty != 0 && (%weekly_qty != 0 || %bump_qty != 0 || %daily_bump_qty != 0))
		<%/* More than one product for the same ad */%>
		<%(%gallery_qty == 1 && %applied_to_same_ad == 1)
			<%|define("subject")|&translate("GALLERY_BUMP_MAIL_OK_SUBJECT_SINGULAR")%>
			<%|define("header_text")|<%&translate("GALLERY_BUMP_MAIL_OK_MESSAGE_SINGULAR")%>%>
			<%|define("congrats")|%>
			<%|define("ok_message")|<%&translate("GALLERY_BUMP_MAIL_OK_TITLE_SINGULAR")%>%>
		::
			<%/* More than one product for the different ads */%>
			<%|define("subject")|&translate("GALLERY_BUMP_MAIL_OK_SUBJECT_PLURAL")%>
			<%|define("header_text")|<%&translate("GALLERY_BUMP_MAIL_OK_MESSAGE_PLURAL")%>%>
			<%|define("congrats")|%>
			<%|define("ok_message")|<%&translate("GALLERY_BUMP_MAIL_OK_TITLE_PLURAL")%>%>
		%>
	::
		<%/* Only one gallery */%>
		<%(%gallery_qty == 1)
			<%|define("subject")|&translate("GALLERY_MAIL_OK_SUBJECT_1") <%%ad_subject%> &translate("GALLERY_MAIL_OK_SUBJECT_2")%>
			<%|define("header_text")|<%|replace("#ad_subject#",%ad_subject)|&translate("GALLERY_MAIL_OK_MESSAGE")%>%>
			<%|define("congrats")|&translate("GALLERY_CONGRATULATION_SINGULAR")%>
			<%|define("ok_message")|<%&translate("GALLERY_MAIL_OK_MESSAGE_SINGULAR")%>%>
		%>
		<%/* More than one gallery */%>
		<%(%gallery_qty > 1)
			<%|define("subject")|&translate("GALLERY_MAIL_OK_SUBJECT_PLURAL")%>
			<%|define("header_text")|&translate("GALLERY_MAIL_OK_TITLE_PLURAL")%>
			<%|define("congrats")|&translate("GALLERY_CONGRATULATION_PLURAL")%>
			<%|define("ok_message")|&translate("GALLERY_MAIL_OK_MESSAGE_PLURAL")%>
		%>
		<%/* More than one bump-product (bump-1, bump-4, bump-7) */%>
		<%(&(%bump_qty + %weekly_qty + %daily_bump_qty) > 1)
			<%|define("subject")|&translate("BUMP_MAIL_OK_SUBJECT_PLURAL")%>
			<%|define("header_text")|&translate("BUMP_MAIL_OK_TITLE_PLURAL")%>
			<%|define("congrats")|&translate("CONGRATULATION_PLURAL")%>
			<%|define("ok_message")|&translate("BUMP_MAIL_OK_MESSAGE_PLURAL")%>
		::
			<%/* One bump-product (bump-1, bump-4, bump-7) */%>
			<%(%bump_qty == 1 || %weekly_qty == 1 || %daily_bump_qty == 1)
				<%|define("subject")|&translate("BUMP_MAIL_OK_SUBJECT_1") <%%ad_subject%> &translate("BUMP_MAIL_OK_SUBJECT_2")%>
				<%|define("header_text")|<%|replace("#ad_subject#",%ad_subject)|&translate("BUMP_MAIL_OK_MESSAGE")%>%>
				<%|define("congrats")|&translate("CONGRATULATION_SINGULAR")%>
				<%|define("ok_message")|<%&translate("BUMP_MAIL_OK_MESSAGE_SINGULAR")%>%>
			%>
		%>
	%>

%>From: <%|ucfirst|$(common.brand.domain)%> <noreply@<%$(common.brand.domain)%>>
To: <%(%to != "")%to::"<%%ad_name%>" <<%%users_email%>>%>
<%|qp("ISO-8859-1")|Subject: %subject %>
Content-Type: multipart/alternative; boundary="<%$(admail.html.multipart_boundary)%>"

--<%$(admail.html.multipart_boundary)%>
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
<%|qp|&include("mail/bump_ok.txt")%>

--<%$(admail.html.multipart_boundary)%>
Content-Type: multipart/related;
	boundary="<%$(admail.html.multipart_related_boundary)%>";
	type="text/html"

--<%$(admail.html.multipart_related_boundary)%>
Content-Type: text/html; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<%|qp|&include("mail/bump_ok.html")%>

